idf_component_register(
    SRCS 
        "unzip.c"
        "ioapi.c"
    INCLUDE_DIRS 
        "."
    REQUIRES
        esp_common
        zlib
)

# Disable warnings für minizip
target_compile_options(${COMPONENT_LIB} PRIVATE
    -Wno-implicit-function-declaration
    -Wno-int-conversion
    -Wno-incompatible-pointer-types
)
